@import url('https://fonts.googleapis.com/css2?family=Bricolage+Grotesque:opsz,wght@12..96,200..800&display=swap');

:root {
    --main-font: "Bricolage Grotesque", "sans-serif";
    --bg-color: #eee;
    --item-bg-color: white;
    --text-color: black;
    --padding-small: 0.7rem;
    --padding: 0.7rem;
    --padding-med-large: 1.2rem;
    --padding-large: 2rem;
    --border: 1px solid var(--text-color);
    --border-radius: 5px;
    --primary-color: #2762a8;
    --shadow-color: #ccc;
    --gray: #ddd;
    --sidebar-width: 10rem;

    --transition-time: 0.3s;
}

@media (prefers-color-scheme: dark) {
    :root {
        --item-bg-color: #222;
        --bg-color: #111;
        --text-color: white;
        --gray: #444;
        --shadow-color: #000;
        --primary-color: #70b0fc;
    }

    img:not(.preserve-color), input[type='submit'] {
        border-radius: var(--border-radius);
        filter: invert(1);
    }
}

body {
    font-family: var(--main-font);
    background-color: var(--bg-color);
    color: var(--text-color);
    margin-left: var(--sidebar-width);
    padding-left: var(--padding-large);
}

main {
    padding: var(--padding-large);
}


input {
    color: var(--text-color);
}

input[type='text'] {
    border: none;
    outline: none;
    border-radius: 100rem;
    padding: var(--padding);
    box-shadow: inset 0px 0px 10px #cccccc29;
    width: min(calc(90vw - 2 * var(--sidebar-width)), 20rem);
    background-color: var(--item-bg-color);
}

input::placeholder {
    color: color-mix( in lab, var(--text-color), var(--item-bg-color));
}

input[type='submit'] {
    background-image: url("../images/search.svg");
    background-color: transparent;
    background-size: contain;
    width: 1.5rem;
    height: 1.5rem;
    border: none;
    vertical-align: middle;
}


input:focus {
    outline: 1px solid var(--primary-color);
}

table {
    background-color: var(--item-bg-color);
    border: none;
    border-radius: var(--border-radius);
    margin: var(--padding) 0;
    padding: var(--padding) 0;
    border-collapse: collapse;
}

td, th {
  padding: var(--padding); 
  border: none;
}

th {
    padding-bottom: var(--padding-small);
    padding-top: var(--padding-med-large);
}

td:first-child, th:first-child {
    padding-left: var(--padding-large);
}

td:last-child, th:last-child {
    padding-right: var(--padding-large);
}

tr {
    border: none;
    transition: background-color var(--transition-time);
}

tr:first-child {
    /*border-bottom: var(--border);*/
}

tr:has(td):hover {
    background-color: color-mix( in lab, var(--bg-color), var(--item-bg-color));
}

tr:last-child td {
    padding-bottom: var(--padding-med-large);
}

tr:last-child td:first-child {
    border-bottom-left-radius: var(--border-radius);
}
tr:last-child td:last-child {
    border-bottom-right-radius: var(--border-radius);
}

a {
    color: var(--primary-color);
    text-decoration: none;
    border-bottom: 1px dotted var(--primary-color);
}

.centered {
    text-align: center;
    position: absolute;
    top: 0;
    left: 50vw;
    transform: translate(-50%, 0);
}

nav {
    padding: var(--padding);
    box-sizing: border-box;
    background-color: var(--bg-color);
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: var(--sidebar-width);
    overflow: clip;
    box-shadow: inset -10px 0px 10px -10px var(--shadow-color);
}

nav img {
    width: 100%;
    display: inline;
}
nav a {
    border: none;
}

nav * {
    margin-bottom: var(--padding);
}

.fully-centered {
    text-align: center;
    position: absolute;
    top: 50vh;
    left: 50vw;
    transform: translate(-50%, -70%);
}

.nav-history>* {
    display: inline-block;
    margin-bottom: var(--padding);
    background-color: var(--item-bg-color);
    border-radius: var(--border-radius);
    border: none;
    padding: var(--padding-small);
    box-sizing: border-box;
    width: 100%;
    overflow: clip;
}

.image-buttons a, .site-links a {
    display: inline-block;
    border: none;
    border-radius: var(--border-radius);
    background-color: var(--item-bg-color);
    width: 5rem;
    aspect-ratio: 1/1;
    padding: var(--padding);
    margin: var(--padding);
    text-align: center;
}

.image-buttons img, .site-links img {
    width: 100%;
}

.site-links {
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    display: flex;
    justify-content: space-around;
}

.site-links a {
    display: block;
    width: 1rem;
    height: 1rem;
}

.home-link {
    display: block;
    margin: 0;
}
.home-link * {
    margin: 0;
}

.head-desc {
    margin-top: -0.2rem;
    margin-bottom: var(--padding-large);
    font-size: 1rem;
    font-weight: 200;
}

h1 {
    font-size: 2.5rem;
}

h1:has( +.head-desc) {
    margin-bottom: 0;
}
